---
---
<!doctype html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<link rel="icon" type="image/svg+xml" href="{{ "/" | relative_url }}assets/images/favicon.svg">
		<link rel="icon" type="image/png" href="{{ "/" | relative_url }}assets/images/favicon.png">
		
		<meta property="og:title" content="AdamRehn Scripts">
		<meta property="og:type" content="website">
		<meta property="og:url" content="{{ site.url | uri_escape }}{{ page.url | uri_escape }}">
		<meta property="og:image" content="{{ site.url | uri_escape }}/assets/images/opengraph.png">
		<meta property="og:description" content="{{ page.tagline | escape }}"> 
		
		<title>Adam Rehn's Scripts</title>
		
		<link href="{{ "/" | relative_url }}assets/css/thirdparty/bootstrap.min.css" rel="stylesheet" type="text/css">
		<link href="{{ "/" | relative_url }}assets/css/thirdparty/fontawesome.min.css" rel="stylesheet" type="text/css">
		<link href="{{ "/" | relative_url }}assets/css/code.css" rel="stylesheet" type="text/css">
		<link href="{{ "/" | relative_url }}assets/css/style.css" rel="stylesheet" type="text/css">
	</head>
	
	<body>
		
		<div class="container">
			
			<img id="logo" src="{{ "/" | relative_url }}assets/images/logo.svg" alt="Adam Rehn's Scripts">
			
			{% for category in site.data.scripts %}
			<section>
				<h2 id="{{ category.category | slugify | escape }}">{{ category.category | escape }}</h2>
				<p class="category-blurb lead">{{ category.blurb | escape }}</p>
				
				{% for script in category.scripts %}
				{% capture path %}{{ "/" | absolute_url }}{{ script.path }}{% endcapture %}
				<div class="script {{ script.type | escape }}" id="{{ script.name | slugify | escape }}">
					<div class="details">
						<div class="left"><strong>{{ script.name | escape }}:</strong> {{ script.blurb | escape }}</div>
						<div class="right"><button class="fas fa-clipboard" alt="Copy to clipboard" title="Copy to clipboard"></button></div>
					</div>
					
					{% if script.manifest %}
					<div class="manifest">
						<details>
							<summary><em>View the list of components installed by this script</em></summary>
							
							<div class="lists">
								{% if script.extends %}
								<p>Extends another script:</p>
								<ul>
									<li>Includes everything from the <em>{{ script.extends | escape }}</em> script</li>
								</ul>
								{% endif %}
								
								{% for category in site.data.manifests[ script.manifest ] %}
								
								<p>{{ category[0] | escape }}:</p>
								
								<ul>
								{% for item in category[1] %}
									<li>{{ item | markdownify | replace: "<p>", "" | replace: "</p>", "" | strip_newlines }}</li>
								{% endfor %}
								</ul>
								
								{% endfor %}
							</div>
						</details>
					</div>
					{% endif %}
					
					{% assign content = "" %}
					{% if script.inline == true %}
						{% assign scripts = site.collections | where: "label", "scripts" | first %}
						{% assign path = site.collections_dir | append: "/" | append: scripts.relative_directory | append: "/" | append: script.path %}
						{% capture content %}{% include_relative {{ path }} %}{% endcapture %}
					{% endif %}
					
					{% case script.type %}
					{% when "bash" %}
						
						{% include bash.html script=script path=path content=content %}
						
					{% when "powershell" %}
						
						{% include powershell.html script=script path=path content=content %}
						
					{% else %}
						
						<p><strong>Error! Unrecognised script type "{{ script.type }}".</strong></p>
						
					{% endcase %}
				</div>
				{% endfor %}
			</section>
			{% endfor %}
			
			<footer>
				<p>Copyright &copy; 2020 - {{ site.time | date: '%Y' }}, Adam Rehn. All scripts are licensed under the MIT License, see the <a href="https://gitlab.com/adam.rehn/www/scripts.adamrehn.com/-/blob/master/LICENSE">LICENSE file</a> for details.</p>
			</footer>
			
		</div>
		
		<script src="{{ "/" | relative_url }}assets/js/thirdparty/jquery-3.3.1.min.js"></script>
		<script src="{{ "/" | relative_url }}assets/js/thirdparty/popper.min.js"></script>
		<script src="{{ "/" | relative_url }}assets/js/thirdparty/bootstrap.min.js"></script>
		<script src="{{ "/" | relative_url }}assets/js/thirdparty/clipboard.min.js"></script>
		
		<script type="text/javascript">
			
			//Wire up our copy-to-clipboard buttons
			new ClipboardJS('button', {
				target: function(trigger) {
					return trigger.parentNode.parentNode.parentNode.lastElementChild;
				}
			});
			
		</script>
	</body>
</html>
